Bug 241093 - Hibernate and encrypted swap
Summary: Hibernate and encrypted swap
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard: bzcl34nup
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-24 03:33 UTC by Konstantin Ryabitsev
Modified: 2008-05-07 01:48 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-07 01:48:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Konstantin Ryabitsev 2007-05-24 03:33:35 UTC
Fedora will happily offer to hibernate to an encrypted swap partition, even
though it won't ever be able to restore from it. Not sure anything useful can be
done about this, but I figured I'd file a bug anyway. :)

(Please feel free to reassign to a different component -- I have no idea where
it would make more sense to file this).

Comment 1 Nigel Cunningham 2007-06-12 10:59:21 UTC
It should be able to be resumed if swap is set up the same way in an
initrd/ramfs and the resume is then initiated.

I think this is NOTABUG, unless the initrd/ramfs scripts aren't doing the right
thing.

Comment 2 Konstantin Ryabitsev 2007-06-12 13:27:59 UTC
Well, it doesn't work, so I'm not sure how it's NOTABUG. The swap is created
using /dev/urandom as the key.

Comment 3 Bug Zapper 2008-04-04 00:53:12 UTC
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 4 Bug Zapper 2008-05-07 01:48:20 UTC
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp


Note You need to log in before you can comment on or make changes to this bug.